mac下使用git clone出现

发布时间:1970-01-01  编辑:Mrs.默先森 

    问题描述

    在mac系统,使用git下载项目

    git clone XXX

    但是出现了报错,错误信息如下:

    xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun

    问题分析

    开始以为是git安装的问题

    wubindeMacBook-Pro:thinkphp-crblog wubin$ whereis git

    /usr/bin/git

    查看git已经正常安装


    尝试重新安装:

    brew install git

    出现报错:

    Error: The following formula:
      git
    cannot be installed as a binary package and must be built from source.
    Install the Command Line Tools:
      xcode-select --installError: Git must be installed and in your PATH!Error: The following formula:
      git
    cannot be installed as a binary package and must be built from source.
    Install the Command Line Tools:
      xcode-select --install

    其实上面报错信息中可以看到

    需要安装Command Line Tools

    执行命令:

    xcode-select --install

    安装即可,当再次执行以上命令提示:

    wubindeMacBook-Pro:thinkphp-crblog wubin$ xcode-select --install

    xcode-select: error: command line tools are already installed, use "Software Update" to install updates

    说明已经安装成功


    随后执行git clone XX

    项目正常下载到本地

    标签php nginx Linux


本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动。

陶太富博客 http://blog.taotaifu.cn

最新发布

最新评论

0.101514s